# Bulk assign zone tariffs

`POST https://api.parklio.com/v2/zones/{id}/tariffs`

This endpoint allows the user to bulk assign zone tariffs by using their ids

**Auth:** `Authorization: Bearer <token>`

## Path parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `id` | string | yes |  |

## Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |

```json
{}
```

## Responses

### 200

```json
{
  "success": true,
  "data": {
    "id": 1,
    "account_id": 1,
    "lot_id": 1,
    "name": "Default Zone",
    "description": "Zone covering the main entrance and visitor parking area",
    "spot_count": 10,
    "occupied_count": 0,
    "tariffs": [
      {
        "id": 1,
        "name": "Basic Tariff",
        "order": 1
      }
    ],
    "max_levenshtein_distance": 1,
    "vector_map": "string",
    "deleted_at": null,
    "created_at": "2026-01-15T09:30:00.000Z",
    "updated_at": "2026-01-15T09:30:00.000Z"
  }
}
```

### 401 — Account user is not logged in and they should log in again.

```json
{
  "success": false,
  "errors": [
    {
      "code": 1,
      "message": "Unauthorized access."
    }
  ]
}
```

### 403 — User does not have permission to access requested resource.

```json
{
  "success": false,
  "errors": [
    {
      "code": 4,
      "message": "No permission."
    }
  ]
}
```

### 404 — Resource that has been requested does not exist. User should not try to repeat this request.

```json
{
  "success": false,
  "errors": [
    {
      "code": 6,
      "message": "Resource not found."
    }
  ]
}
```

### 422 — Some of the provided request parameters are missing or are invalid. User should add/change them according to response message.

```json
{
  "success": false,
  "errors": [
    {
      "code": 23,
      "message": "Validation error",
      "field": "field"
    }
  ]
}
```

